// module/chats/components/message-report/message-report.ts
Component({
  properties: {
    payload: { type: Object, value: { title: '', url: '' } }
  },
  data: {},
  methods: {
    handle() {
      console.log(this.data.payload);
      
      wx.navigateTo({ url: this.data.payload.url })
    }
  }
})